Federal contract award

N6274219F0112

IGF::OT::IGF 3RD PARTY QUALITY ASSURANCE FOR NAVAL BASE GUAM

Research the contractorView USAspending sourceSave to my pursuit research

Award details

Obligations, current value and potential value describe different measures; they are never added together.

FieldReported value
AgencyDepartment of Defense
OfficeNAVFACSYSCOM PACIFIC
NAICS562910 — Remediation Services
PSCF999 — Other Environmental Services, Studies, and Analytical Support
Parent award / vehicleN6274216D1807
Set-asideNot reported
Pricing typeCOST PLUS AWARD FEE
Obligations$831.0K
Current contract value$831.0K
Potential contract value / ceiling$831.0K
Start dateFeb 27, 2019
Current end dateJul 12, 2027
Potential end dateJul 12, 2027
Latest award activityMay 4, 2026
Source loadedSep 26, 2026

Funding and modification history

Showing the latest 7 of 7 loaded transactions. Negative values are deobligations.

DateModificationObligation changeDescription
May 4, 2026P00006$-1.1KCONTRACT N62742-16-D-1807, CTO N6274219F0112, MODIFICATION P00006 ISSUED TO DE-OBLIGATE EXPIRING FY21 FUNDS.
Jul 30, 2025P00005$33.5KPERIOD OF PERFORMANCE EXTENSION MODIFICATION
Oct 18, 2024P00004$0CONTRACT TASK ORDER N6274219F0112, 3RD PARTY QA FOR VARIOUS MRP SITES AT GUAM AND CNMI. MODIFICATION FOR NO-COST PERIOD OF PERFORMANCE EXTENSION ADDITIONAL ARCHAEOLOGICAL MONITORING REALLOCATING COVID-19 COST POOL TO FUND ADDITIONAL EFFORT.
Jul 18, 2024P00003$-956N62742-16-D-1807, SMALL BUSINESS ENVIRONMENTAL REMEDIAL ACTION CONTRACT FOR SITES IN HI, GUAM AND OTHER AREAS WITHIN THE NAVFACENGCOM PACIFIC AOR N62742-19-F-0112, 3RD PARTY QA, VARIOUS MRP SITES AT GUAM AND CNMI ACCEPT RFC 004, DE-OB FY19 FUNDS
Aug 16, 2022P00002$360.9KCONTRACT NO. N62742-16-D-1807, SBRAC FOR SITES IN HAWAII, GUAM AND OTHER AREAS WITHIN THE NAVAL FACILITIES ENGINEERING COMMAND PACIFIC AREA OF RESPONSIBILITY TO N62742-19-F-0112, 3RD PARTY QA FOR VARIOUS MRP SITES AT GUAM AND CNMI
Apr 22, 2021P00001$174.8KN62742-16-D-1807, SBRAC IV FOR SITES IN HI, GUAM AND OTHER AREAS WITHIN THE NAVFACENGCOM PAC AREA OF RESPONSIBILITY N62742-19-F-0112, 3RD PARTY QA, VARIOUS MRP SITES, GUAM,CNMI, ACCEPT RFC001 REV2,RFC002 REV3-QUARANTINE REQUIREMENTS DUE TO COVID-19
Feb 27, 20190$263.9KIGF::OT::IGF 3RD PARTY QUALITY ASSURANCE FOR NAVAL BASE GUAM

Estimated positioning window

Oct 25, 2026 – Jan 23, 2027

Recompete signal:
85/100

Why this recompete signal

Contract timing and recorded acquisition signals at the time of calculation.

Stored score: 85/100. Available recorded signals: 80 points.

Contract end 2027-07-12 (260 days from calculation)
+35 points
36 historical awards in this buyer and category group
+15 points
7 recorded award transactions
+10 points
Latest award action: 2026-05-04
+5 points
Parent award identifier recorded
+5 points
Solicitation identifier recorded
+10 points
Linked official forecast
+0 points
Calculated on
2026-10-25 10:18:04.631876+00:00

The historical group combines buyer, NAICS, and PSC. Multiple awards in this group do not by themselves establish repeated competitions.

Rule-based research score; it does not measure your chance of winning.

This older calculation does not retain a complete reproducible breakdown. Missing or changed inputs are not assigned invented points: Original award-value bonus input.

USAspending award record

. Rule-based research score; positioning dates are estimates.

Recompete score calculated Oct 25, 2026.

Research next steps

  1. Check the linked forecast or SAM for a confirmed solicitation and current timing.
  2. Confirm the ordering vehicle and your eligibility or a qualified teaming route.
  3. Review the award scope and buyer evidence before making a bid/no-bid decision.